Bug 1004209 - (nlopt) Review Request: NLopt - Open-Source library for nonlinear optimization
Review Request: NLopt - Open-Source library for nonlinear optimization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Will Benton
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ML-SIG
  Show dependency treegraph
 
Reported: 2013-09-04 04:12 EDT by Björn 'besser82' Esser
Modified: 2014-06-24 18:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: NLopt-2.4-2.git20130903.35e6377.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 20:00:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
willb: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
review notes (21.10 KB, text/plain)
2013-09-25 17:43 EDT, Will Benton
no flags Details

  None (edit)
Description Björn 'besser82' Esser 2013-09-04 04:12:07 EDT
Description:

  NLopt is a library for nonlinear local and global optimization, for
  functions with and without gradient information.  It is designed as
  as simple, unified interface and packaging of several free/open-source
  nonlinear optimization libraries.

  It features bindings for GNU Guile, Octave and Python.  This build has
  been made with C++-support enabled.


Koji Builds:

  el5:  no el5 build for this, swig is far too old.
  el6:  no el6 build for this, numpy is far too old.
  F18:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5892806
  F19:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5892812
  F20:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5892816
  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5892823


Issues:

  fedora-review shows no issues, rpmlint reports some false positives.


Fedora Account System Username:

  besser82


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/nlopt.spec
  SRPM URL: http://besser82.fedorapeople.org/review/nlopt-2.4-1.git20130830.3b56837.fc19.src.rpm


Additional Information:

  This is my first package featuring GNU Guile and Octave stuff, so someone
  who has deeper knowlegde in this should have look at it, too.  :)

#####

Thanks for review in advance!
Comment 1 Matthias Runge 2013-09-05 04:55:52 EDT
Since this is a collection of libraries with different licenses/copyrights,
we'd at least need a license breakdown here. 

In my opinion, using macros that much makes the spec slightly unreadable. But that's personal preference.
Comment 2 Björn 'besser82' Esser 2013-09-05 11:21:36 EDT
(In reply to Matthias Runge from comment #1)
> Since this is a collection of libraries with different licenses/copyrights,
> we'd at least need a license breakdown here. 

Added detailed license-breakdown to spec:

# the detailed license-breakdown of the sources is
#
# BSD (2 clause)
# --------------
# util/mt19937ar.c
#
#
# BSD (3 clause)
# --------------
# slsqp/*
#
#
# LGPL (v2 or later)
# -----------------
# luksan/*
#
# MIT/X11 (BSD like)
# ------------------
# api/*		auglag/*	bobyqa/*	cdirect/*	cobyla/*
# cquad/*	crs/*		direct/*	esch/*		isres/*
# mlsl/*	mma/*		neldermead/*	newuoa/*	octave/*
# stogo/*	tensor/*	test/*		util/* (ex. util/mt19937ar.c)
#
#
# Public Domain
# -------------
# praxis/*	subplex/*
Comment 3 Björn 'besser82' Esser 2013-09-05 11:43:02 EDT
New Koji Builds:

  el5:  no el5 build for this, swig is far too old.
  el6:  no el6 build for this, numpy is far too old.
  F18:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5899978
  F19:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5899982
  F20:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5899985
  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5899993
Comment 5 Will Benton 2013-09-25 17:43:35 EDT
Created attachment 803110 [details]
review notes

There are a few issues, but you should be able to fix them on import.  Thanks!
Comment 6 Björn 'besser82' Esser 2013-09-25 18:24:30 EDT
Thanks for the review, Will!

#####

New Package SCM Request
=======================
Package Name: NLopt
Short Description: Open-Source library for nonlinear optimization
Owners: besser82
Branches: el5 el6 f18 f19 f20
InitialCC: ml-sig
Comment 7 Björn 'besser82' Esser 2013-09-27 06:14:33 EDT
(In reply to Will Benton from comment #5)
> Created attachment 803110 [details]
> review notes
> 
> There are a few issues, but you should be able to fix them on import. 
> Thanks!

[!]: Package consistently uses macros (instead of hard-coded directory names).

   * the %preun for octave-NLOpt should use %{_datadir} instead of /usr/share

---> I replaced the /usr/share/octave/...  with %{octpkgdir}, inside the
     %pre*/post*-scripts.  That should do the trick.


[!]: Uses parallel make %{?_smp_mflags} macro.

   * why is this disabled?

---> There's some race-condition though target in Makefile seem to be OK.
     I'll try to resolve that with upstream for next release.


[!]: Package should not use obsolete m4 macros
  
   * If you can sacrifice EPEL 5/6 compatibility, suggest replacing
     AM_LIBTOOL with LT_INIT

---> no need to sacrifice any compat.  :)  This is already done in %prep:
     # Get rid of obsoleted autotools-macros for el6+.
     %{?!el5:sed -i -e 's!^AC_PROG_LIBTOOL!LT_INIT!g' configure.ac}


NLopt.src: E: specfile-error Must specify package names on the command line

---> This was caused by odering of some %global.  I reordered them and all
     is fine, now.


I fixed that in place, see above spec/srpm links.  :)  Thanks again for the review, Will.
Comment 8 Kevin Fenzi 2013-09-27 14:41:31 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-09-27 19:32:09 EDT
NLopt-2.4-1.git20130903.35e6377.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NLopt-2.4-1.git20130903.35e6377.fc20
Comment 10 Fedora Update System 2013-09-27 19:32:33 EDT
NLopt-2.4-1.git20130903.35e6377.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/NLopt-2.4-1.git20130903.35e6377.fc19
Comment 11 Fedora Update System 2013-09-27 19:32:55 EDT
NLopt-2.4-1.git20130903.35e6377.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/NLopt-2.4-1.git20130903.35e6377.fc18
Comment 12 Fedora Update System 2013-09-27 19:33:16 EDT
NLopt-2.4-1.git20130903.35e6377.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/NLopt-2.4-1.git20130903.35e6377.el6
Comment 13 Fedora Update System 2013-09-27 19:33:41 EDT
NLopt-2.4-1.git20130903.35e6377.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/NLopt-2.4-1.git20130903.35e6377.el5
Comment 14 Fedora Update System 2013-09-28 14:40:00 EDT
NLopt-2.4-1.git20130903.35e6377.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 15 Fedora Update System 2013-10-02 02:30:13 EDT
NLopt-2.4-1.git20130903.35e6377.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-10-02 02:48:30 EDT
NLopt-2.4-1.git20130903.35e6377.fc20 has been pushed to the Fedora 20 stable repository.
Comment 17 Fedora Update System 2013-10-03 03:08:05 EDT
NLopt-2.4-2.git20130903.35e6377.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/NLopt-2.4-2.git20130903.35e6377.fc19
Comment 18 Fedora Update System 2013-10-03 03:08:16 EDT
NLopt-2.4-2.git20130903.35e6377.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/NLopt-2.4-2.git20130903.35e6377.el5
Comment 19 Fedora Update System 2013-10-03 03:08:25 EDT
NLopt-2.4-2.git20130903.35e6377.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/NLopt-2.4-2.git20130903.35e6377.el6
Comment 20 Fedora Update System 2013-10-03 03:08:34 EDT
NLopt-2.4-2.git20130903.35e6377.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NLopt-2.4-2.git20130903.35e6377.fc20
Comment 21 Fedora Update System 2013-10-03 03:08:43 EDT
NLopt-2.4-2.git20130903.35e6377.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/NLopt-2.4-2.git20130903.35e6377.fc18
Comment 22 Fedora Update System 2013-10-03 21:53:08 EDT
Package NLopt-2.4-2.git20130903.35e6377.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NLopt-2.4-2.git20130903.35e6377.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18214/NLopt-2.4-2.git20130903.35e6377.fc19
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2013-10-11 20:00:22 EDT
NLopt-2.4-2.git20130903.35e6377.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-10-11 20:03:25 EDT
NLopt-2.4-2.git20130903.35e6377.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-10-12 00:28:13 EDT
NLopt-2.4-2.git20130903.35e6377.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-10-18 14:51:12 EDT
NLopt-2.4-2.git20130903.35e6377.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2013-10-18 14:52:05 EDT
NLopt-2.4-2.git20130903.35e6377.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.